Name:           perl-PathTools
Version:        3.74
Release:        1%{?org_tag}%{?dist}
Summary:        PathTools Perl module
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/PathTools/
Source0:        http://localhost/cpan//authors/id/S/SM/SMUELLER/PathTools-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  perl(ExtUtils::MakeMaker)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
Autoreq:        no

%description
This is the PathTools Perl module, which is a combined distribution
of the File::Spec and Cwd modules.

%prep
%setup -q -n PathTools-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor OPTIMIZE="%{optflags}"
make %{?_smp_mflags}

%install
rm -rf %{buildroot}

make pure_install PERL_INSTALL_ROOT=%{buildroot}

find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -type f -name '*.bs' -size 0 -exec rm -f {} \;
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

#/usr/bin/rename -- .3pm -%{version}.3pm %{buildroot}%{_mandir}/man3/*.3pm
cd %{buildroot}/%{_mandir}/man3
for i in *.3pm; do
  mv $i ${i%%.3pm}-%{version}.3pm
done

%{_fixperms} %{buildroot}/*

%post
# On install, overwrite old man pages with updated ones
for i in %{_mandir}/man3/*-%{version}.3pm.gz; do
  cp $i ${i%%-%{version}.3pm.gz}.3pm.gz
done

%check
make test

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc Changes
%{perl_vendorarch}/auto/*
%{perl_vendorarch}/Cwd*
%{perl_vendorarch}/File/Spec*
%{_mandir}/man3/*

%changelog
* Sun Apr 29 2018 Gavin Carr <gavin@openfusion.com.au> 3.74-1
- Update to version 3.74.

* Sun Aug 03 2014 Gavin Carr <gavin@openfusion.com.au> 3.47-1
- Update to version 3.47.

* Wed Mar 20 2013 Gavin Carr <gavin@openfusion.com.au> 3.40-1
- Update to version 3.40.

* Thu Mar 29 2012 Gavin Carr <gavin@openfusion.com.au> 3.33-1
- Specfile autogenerated by cpanspec 1.79.
